Extending Qt Creator Manual | GnuMakeParser

Extending Qt Creator Manual 4.5.2

# GnuMakeParser Class

(ProjectExplorer::GnuMakeParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| GnuMakeParser()
QStringList | searchDirectories() const

## Reimplemented Public Functions

virtual bool | hasFatalErrors() const override
virtual void | setWorkingDirectory(const QString &workingDirectory) override
virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override
virtual void | taskAdded(const ProjectExplorer::Task &task, int linkedLines, int skippedLines) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### GnuMakeParser::GnuMakeParser()

Default constructs an instance of GnuMakeParser.

### `[override virtual]` bool GnuMakeParser::hasFatalErrors() const

### QStringList GnuMakeParser::searchDirectories() const

### `[override virtual]` void GnuMakeParser::setWorkingDirectory(const QString &workingDirectory)

### `[override virtual]` void GnuMakeParser::stdError(const QString &line)

### `[override virtual]` void GnuMakeParser::stdOutput(const QString &line)

### `[override virtual]` void GnuMakeParser::taskAdded(const ProjectExplorer::Task &task, int linkedLines, int skippedLines)